[Rider] После обновления вылезает ошибка
От: rameel https://github.com/rsdn/CodeJam
Дата: 15.06.21 14:36
Оценка:
Последние несколько версий Rider валится с ошибкой после обновления. Неважно, EAP версия или релиз — обновление, ошибка и отказ от запуска. Помогает только удаление и полная очистка всех следов райдера

Internal error. Please refer to https://jb.gg/ide/critical-startup-errors

java.util.concurrent.CompletionException: java.lang.IllegalStateException: Class loader is not configured (module=PluginDescriptor(name=JavaScript and TypeScript, id=JavaScript, descriptorPath=intellij.javascript.impl.diagrams.xml, path=C:\Program Files\JetBrains\JetBrains Rider\plugins\JavaScriptLanguage, version=212.4037.61, package=com.intellij.lang.javascript.modules.diagram))
    at java.base/java.util.concurrent.CompletableFuture.encodeThrowable(CompletableFuture.java:314)
    at java.base/java.util.concurrent.CompletableFuture.uniApplyNow(CompletableFuture.java:683)
    at java.base/java.util.concurrent.CompletableFuture.uniApplyStage(CompletableFuture.java:658)
    at java.base/java.util.concurrent.CompletableFuture.thenApply(CompletableFuture.java:2094)
    at com.intellij.ide.plugins.PluginManagerCore.initPlugins(PluginManagerCore.java:687)
    at com.intellij.idea.ApplicationLoader.initApplication(ApplicationLoader.kt:60)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.base/java.lang.reflect.Method.invoke(Method.java:566)
    at com.intellij.idea.a.a(a.java:97)
    at com.intellij.ide.a.j.T.a(T.java:117)
    at com.intellij.ide.a.j.aJ.a(aJ.java:304)
    at com.intellij.ide.a.j.aJ.a(aJ.java:141)
    at com.intellij.ide.a.j.aJ.lambda$startUp$3(aJ.java:91)
    at java.base/java.util.concurrent.CompletableFuture.uniAcceptNow(CompletableFuture.java:753)
    at java.base/java.util.concurrent.CompletableFuture.uniAcceptStage(CompletableFuture.java:731)
    at java.base/java.util.concurrent.CompletableFuture.thenAccept(CompletableFuture.java:2108)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.base/java.lang.reflect.Method.invoke(Method.java:566)
    at com.intellij.ide.a.j.aJ.a(aJ.java:90)
    at com.intellij.ide.a.h.e.a(e.java:95)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.base/java.lang.reflect.Method.invoke(Method.java:566)
    at com.intellij.idea.MainImpl.start(MainImpl.java:91)
    at com.intellij.idea.StartupUtil.lambda$start$16(StartupUtil.java:274)
    at java.base/java.util.concurrent.CompletableFuture$UniCompose.tryFire(CompletableFuture.java:1072)
    at java.base/java.util.concurrent.CompletableFuture.postComplete(CompletableFuture.java:506)
    at java.base/java.util.concurrent.CompletableFuture$AsyncSupply.run(CompletableFuture.java:1705)
    at java.base/java.util.concurrent.CompletableFuture$AsyncSupply.exec(CompletableFuture.java:1692)
    at java.base/java.util.concurrent.ForkJoinTask.doExec(ForkJoinTask.java:290)
    at java.base/java.util.concurrent.ForkJoinPool$WorkQueue.topLevelExec(ForkJoinPool.java:1020)
    at java.base/java.util.concurrent.ForkJoinPool.scan(ForkJoinPool.java:1656)
    at java.base/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1594)
    at java.base/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)
Caused by: java.lang.IllegalStateException: Class loader is not configured (module=PluginDescriptor(name=JavaScript and TypeScript, id=JavaScript, descriptorPath=intellij.javascript.impl.diagrams.xml, path=C:\Program Files\JetBrains\JetBrains Rider\plugins\JavaScriptLanguage, version=212.4037.61, package=com.intellij.lang.javascript.modules.diagram))
    at com.intellij.ide.plugins.ClassLoaderConfigurator.configureModule(ClassLoaderConfigurator.kt:230)
    at com.intellij.ide.plugins.ClassLoaderConfigurator.configure(ClassLoaderConfigurator.kt:169)
    at java.base/java.lang.Iterable.forEach(Iterable.java:75)
    at com.intellij.ide.plugins.PluginManagerCore.initializePlugins(PluginManagerCore.java:936)
    at com.intellij.ide.plugins.PluginManagerCore.loadAndInitializePlugins(PluginManagerCore.java:1124)
    at com.intellij.ide.plugins.PluginManagerCore.lambda$initPlugins$16(PluginManagerCore.java:688)
    at java.base/java.util.concurrent.CompletableFuture.uniApplyNow(CompletableFuture.java:680)
    ... 37 more

-----
Your JRE: 11.0.11+9-b1481.1 amd64 (JetBrains s.r.o.)
C:\Program Files\JetBrains\JetBrains Rider\jbr
... << RSDN@Home 1.0.0 alpha 5 rev. 0>>
 
Подождите ...
Wait...
Пока на собственное сообщение не было ответов, его можно удалить.